package cn.iocoder.yudao.module.system.service.languagetype;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.system.controller.admin.languagetype.vo.*;
import cn.iocoder.yudao.module.system.dal.dataobject.languagetype.LanguageTypeDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 语言类型 Service 接口
 *
 * @author 芋道源码
 */
public interface LanguageTypeService {

    /**
     * 创建语言类型
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createLanguageType(@Valid LanguageTypeCreateReqVO createReqVO);

    /**
     * 更新语言类型
     *
     * @param updateReqVO 更新信息
     */
    void updateLanguageType(@Valid LanguageTypeUpdateReqVO updateReqVO);

    /**
     * 删除语言类型
     *
     * @param id 编号
     */
    void deleteLanguageType(Long id);

    /**
     * 获得语言类型
     *
     * @param id 编号
     * @return 语言类型
     */
    LanguageTypeDO getLanguageType(Long id);

    /**
     * 获得语言类型列表
     *
     * @param ids 编号
     * @return 语言类型列表
     */
    List<LanguageTypeDO> getLanguageTypeList(Collection<Long> ids);

    List<LanguageTypeDO> getAllLanguageTypeList();

    /**
     * 获得语言类型分页
     *
     * @param pageReqVO 分页查询
     * @return 语言类型分页
     */
    PageResult<LanguageTypeDO> getLanguageTypePage(LanguageTypePageReqVO pageReqVO);

    /**
     * 获得语言类型列表, 用于 Excel 导出
     *
     * @param exportReqVO 查询条件
     * @return 语言类型列表
     */
    List<LanguageTypeDO> getLanguageTypeList(LanguageTypeExportReqVO exportReqVO);

}
